Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Packaging Published Series Part Status Moisture Sensitivity Level (MSL) Connector Type Termination Max Operating Temperature Min Operating Temperature Color Gender Orientation Length RoHS Status Contact Plating Radiation Hardening Package / Case REACH SVHC Impedance Resistance Operating Temperature Connector Type A Connector Type B Feature Polarity Style Cable Length Connector Support Type Body Plating Wire/Cable Type Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
135111-04-18.00 135111-04-18.00 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Active 1 (Unlimited) SMA Female to Male 18.00 457.20mm RoHS Compliant No SMA 50Ohms SMA Plug, SMA Shielded SMA to SMA 457mm 1GHz SMA Female Jack SMA Male Plug, Right Angle RG-58
095-850-222-024 095-850-222-024 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks ARC Active 1 (Unlimited) Female to Male 24.00 609.60mm RoHS Compliant 50Ohms IP67 - Dust Tight, Waterproof, Shielded TNC to TNC 6GHz TNC Female Jack TNC Male Plug, Right Angle LMR 200
59155-000-117 59155-000-117 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0084-200 415-0084-200 Cinch Connectivity Solutions / Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CCSMA-MM-LL142-48 CCSMA-MM-LL142-48 Crystek Corporation 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 7 Weeks Bulk 2013 LL142 Active 1 (Unlimited) 85°C -55°C Blue Male to Male 48.0 1.2m 4.0' ROHS3 Compliant SMA 50Ohms -55°C~85°C Plug, SMA Plug, SMA Shielded Normal SMA to SMA 1.2192m Coaxial 18GHz SMA Male Plug SMA Male Plug 4.95mm OD Coaxial Cable Male Male
CCN-MM-LL335-36 CCN-MM-LL335-36 Crystek Corporation 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 6 Weeks Cable Bulk 2012 LL335 Active 1 (Unlimited) 125°C -45°C Gray Male to Male 36.00 914.40mm ROHS3 Compliant 50Ohms -45°C~125°C Plug Plug Shielded Normal N-Type to N-Type 914.4mm Coaxial 18GHz N Male Plug N Male Plug 7.44mm OD Coaxial Cable Male Male
CCK40-MM-160-36 CCK40-MM-160-36 Crystek Corporation 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Cable Bulk 2014 160 Active 1 (Unlimited) Gray Male to Male 36.00 914.40mm ROHS3 Compliant 50Ohm Plug Plug Shielded Normal 2.92mm to 2.92mm 914.4mm Coaxial 40GHz 2.92mm Male Plug 2.92mm Male Plug 4.06mm OD Coaxial Cable Male Male
CCK26.5-MM-190-36 CCK26.5-MM-190-36 Crystek Corporation 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 6 Weeks Cable Bulk 190 Active 1 (Unlimited) 85°C -55°C Gray Male to Male 36.00 914.40mm ROHS3 Compliant 50Ohms -55°C~85°C Plug Plug Shielded Normal 2.92mm to 2.92mm 914.4mm Coaxial 26.5GHz 2.92mm Male Plug 2.92mm Male Plug 5.21mm OD Coaxial Cable Male Male
095-850-158M400 095-850-158M400 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Active Not Applicable Black Male to Male 157.5 4.0m 13.1' RoHS Compliant 75Ohms Shielded HD-BNC to HD-BNC 3GHz HD-BNC Male Plug HD-BNC Male Plug Belden 1855A
0897616780 0897616780 Molex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 11 Weeks 89761 Active 1 (Unlimited) Black Male to Male 6.000 152.40mm ROHS3 Compliant 50Ohm Shielded MMCX to MMCX CABLE ASSEMBLY MMCX Male Plug MMCX Male Plug RG-316
9008ABK005 9008ABK005 Alpha Wire 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
1695A-1000-877 1695A-1000-877 Belden Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
2122-DKF-0012 2122-DKF-0012 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks 2012 DKT Active 1 (Unlimited) 200°C -65°C Grey Male to Male 12.00 304.80mm RoHS Compliant SMA Unknown 50Ohms 50Ohm -65°C~200°C Plug, SMA Plug, SMA Shielded SMA to SMA 304.8mm Coaxial 26GHz SMA Male Plug SMA Male Plug, Right Angle HP 190S Male Male
MXJA01XX2000 MXJA01XX2000 Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Cable Bulk JSC, 5829 Active 1 (Unlimited) Cable White Female to Cable Straight 7.874 200.00mm ROHS3 Compliant Gold 50Ohms -40°C~85°C Shielded JSC to Cable Silver 12GHz JSC Plug, Female Socket, Right Angle Cable (Round) 0.81mm OD Coaxial Cable
LU7-115-500 LU7-115-500 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CCMX2-MM-RG316-6 CCMX2-MM-RG316-6 Crystek Corporation 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 7 Weeks Cable Bulk 2014 Active 1 (Unlimited) 85°C -40°C Male to Male 6.000 152.40mm ROHS3 Compliant 316 50Ohms -40°C~85°C MMCX, Plug MMCX, Plug Shielded Normal MMCX to MMCX 6GHz MMCX Male Plug, Right Angle MMCX Male Plug, Right Angle RG-316 Male Male
W.FL-2LP-04N2-A-(80) W.FL-2LP-04N2-A-(80) Hirose Electric 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Cable W.FL Active Not Applicable 90°C -40°C Black Female to Female 3.150 80.00mm RoHS Compliant 50Ohms -40°C~90°C Plug Plug Shielded W.FL to W.FL Coaxial 6GHz W.FL Female Plug, Right Angle W.FL Female Plug, Right Angle 0.81mm OD Coaxial Cable
5151-DKF-0024 5151-DKF-0024 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Cable 2012 DKT Active 1 (Unlimited) Grey Male to Male 24.00 609.60mm RoHS Compliant Unknown 50Ohm 50Ohm -65°C~200°C Plug Shielded N-Type to N-Type 609.6mm Coaxial 26GHz N Male Plug N Male Plug HP 190S Male
415-0031-024 415-0031-024 Belden Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
1694A-1000-10 1694A-1000-10 Belden Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
1855P0021000 1855P0021000 Belden Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1216 RFC-1216 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1111 RFC-1111 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1123 RFC-1123 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0032-024 415-0032-024 Cinch Connectivity Solutions / Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RF179-74SP3-77SP1-0150 RF179-74SP3-77SP1-0150 Samtec 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
100RN100P-6E1AB 100RN100P-6E1AB Amphenol 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CABLE 162 RF-050-A-1 CABLE 162 RF-050-A-1 GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Brown Female to Female 1.969 50.00mm RoHS Compliant -40°C~90°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to SMA 3GHz SMA Female Jack U.FL (UMCC), IPEX Plug, Female Socket, Right Angle RG-178
CABLE 161 RF-100-A-1 CABLE 161 RF-100-A-1 GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Brown Female to Female 3.937 100.00mm RoHS Compliant -40°C~90°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to SMA 3GHz SMA Female Jack U.FL (UMCC), IPEX Plug, Female Socket, Right Angle RG-178
CABLE 162 RF-100-A-1 CABLE 162 RF-100-A-1 GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Brown Female to Female 3.937 100.00mm RoHS Compliant -40°C~90°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to SMA 3GHz SMA Female Jack U.FL (UMCC), IPEX Plug, Female Socket, Right Angle RG-178
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support